### Signal

# Gtk SignalListItemFactory::bind

#### Declaration

    void
    bind (
      GtkSignalListItemFactory* self,
      GObject* object,
      gpointer user_data
    )

#### Description [src]

Emitted when an object has been bound to an item.

The handler for this signal must set to populate the listitem with widgets.

After this signal was emitted, the object might be shown in a `GtkListView` or other widget.

The `GtkSignalListItemFactory::unbind` signal is the opposite of this signal and can be used to undo everything done in this signal.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`object`

  Type: `GObject`

  The `GObject` to bind.

  The data is owned by the caller of the function.